#ifndef CURRENT_FOLDER_H
#define CURRENT_FOLDER_H

#include <QString>

namespace MM
{
/*    bool & write_files_with_comments ()
    {
        static bool instance = false;
        return      instance;
    }//*/

class Current_folder
{
    static bool                     syncho_flag_;
    static QString                  global_path_;
    QString                         local_path_;

public:
    Current_folder () : local_path_(global_path_) { }

    void            synchonize (bool on)
    {
        syncho_flag_ = on;
    }

    QString & path ()
    {
        if (syncho_flag_)
            return global_path_;
        
        return local_path_;
    }

    static bool &           write_files_with_comments ();
    static Current_folder & singleton ();
};

}//MM

#endif //CURRENT_FOLDER_H
